#ifndef __DESKTOP_HH
#define __DESKTOP_HH
//
// Project : (n)curses widget library
// File    : desktop.hh
// Purpose : definition for the desktop (background) object
//

#include "Window.hh"
#include "Event.hh"
#include "DLL.hh"

namespace LWL
{

//
// some global command events
//

#define CM_EXIT     0x1001
#define CM_REDRAW   0x1002

//
// managment of all windows
//
class Desktop : public Window
{
protected:
    // windows on the desktop
    DLL< Window * >  _windows;

public:
    //
    // constructor and destructor
    //

    Desktop ( int w, int h );

    virtual ~Desktop ();

    //
    // drawing methods
    //

    virtual void draw ();

    //
    // window management
    //

    virtual void add_window ( Window * win );

    //
    // event handling
    //

    virtual void handle_event ( Event & e );
};

}// namespace

#endif  // __DESKTOP_HH
